summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mtpfs/README15
-rw-r--r--multimedia/mtpfs/mtpfs.SlackBuild56
-rw-r--r--multimedia/mtpfs/mtpfs.info10
-rw-r--r--multimedia/mtpfs/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/multimedia/mtpfs/README b/multimedia/mtpfs/README
new file mode 100644
index 0000000000..d27106522f
--- /dev/null
+++ b/multimedia/mtpfs/README
@@ -0,0 +1,15 @@
+mtpfs (mount MS Media Transport Protocol devices as a filesystem)
+
+MTPfs is a FUSE filesystem that supports reading and writing from any
+MTP device, as supported by libmtp. MTPfs includes extra features such
+as playlist and meta information support for MP3 players.
+
+Quickstart:
+
+- Ensure your user is in the "audio" group
+- Create a directory to use as a mount point (e.g. "mkdir ~/mtp")
+- Set media device to MTP mode, if necessary
+- Plug media device into USB port
+- Run mtpfs with the mount point dir as an argument (e.g. "mtpfs ~/mtp")
+- See /usr/doc/mtpfs-0.9/README, and the output of "mtpfs --help",
+ for more information
diff --git a/multimedia/mtpfs/mtpfs.SlackBuild b/multimedia/mtpfs/mtpfs.SlackBuild
new file mode 100644
index 0000000000..30547bf600
--- /dev/null
+++ b/multimedia/mtpfs/mtpfs.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for mtpfs
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=mtpfs
+VERSION=${VERSION:-0.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/mtpfs/mtpfs.info b/multimedia/mtpfs/mtpfs.info
new file mode 100644
index 0000000000..875c04982f
--- /dev/null
+++ b/multimedia/mtpfs/mtpfs.info
@@ -0,0 +1,10 @@
+PRGNAM="mtpfs"
+VERSION="0.9"
+HOMEPAGE="http://www.adebenham.com/mtpfs/"
+DOWNLOAD="http://www.adebenham.com/mtpfs/mtpfs-0.9.tar.gz"
+MD5SUM="70adfdbef3b228f7f6db4c01a08cf29a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/multimedia/mtpfs/slack-desc b/multimedia/mtpfs/slack-desc
new file mode 100644
index 0000000000..adcfd400f3
--- /dev/null
+++ b/multimedia/mtpfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mtpfs: mtpfs (mount MS Media Transport Protocol devices as a filesystem)
+mtpfs:
+mtpfs: MTPfs is a FUSE filesystem that supports reading and writing from
+mtpfs: any MTP device, as supported by libmtp. MTPfs includes extra features
+mtpfs: such as playlist and meta information support for MP3 players.
+mtpfs:
+mtpfs:
+mtpfs:
+mtpfs:
+mtpfs:
+mtpfs: